Subject: bug#51758: 27.2; Backtrace put in home dir, not current dir

From: Scott Otterson <[email-masked]>
Date: Tue, 20 Sep 2022 07:13:36 -0700

That's right, I thought that the "current directory" was the
`current-directory'.  Like most people would, I'd guess.

On Tue, Sep 20, 2022 at 6:05 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Eli Zaretskii <[email-masked]> writes:
>
> >>                     "Select:\n"
> >>                     "YES -- to debug Emacs, or\n"
> >>                     "NO  -- to abort Emacs and produce a backtrace\n"
> >>                     "       (emacs_backtrace.txt in current directory)."
> >> #if __GNUC__
> >>                     "\n\n(type \"gdb -p <emacs-PID>\" and\n"
> >>                     "\"continue\" inside GDB before clicking YES.)"
> >> #endif
> >>                     , "Emacs Abort Dialog",
> >>
> >> Eli, should that text just be amended?  (If it always puts the backtrace
> >> in EMACSHOME, that is -- I haven't actually cheked the code here.)
> >
> > The text is correct.  I'm guessing the OP starts Emacs from EMACSHOME
> > directory.
>
> Or perhaps the user thinks that the "current directory" here is
> `current-directory'?
>